﻿<Window x:Class="RssReaderMultiThread.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:RssReaderMultiThread"
        mc:Ignorable="d"
        Title="MainWindow" Height="800" Width="1200" Loaded="BUpdateItem_Click">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="auto" />
            <ColumnDefinition />
        </Grid.ColumnDefinitions>
        <StackPanel Grid.Column="1">
            <Label Content="Title:" HorizontalContentAlignment="Center" />
            <Label Name="LTitle" />
            <Label Content="Category:" HorizontalContentAlignment="Center" />
            <Label Name="LCategory" />
            <Label Content="URL:" HorizontalContentAlignment="Center" />
            <Label Name="LURL" />
            <Label Content="Publish date:" HorizontalContentAlignment="Center" />
            <Label Name="LDate" />
            <Button Name="BRead" Content="Read" Click="BRead_Click" />
            <Button Name="BSend" Content="Send news to email" Click="BSend_Click" />
        </StackPanel>

        <StackPanel Grid.Column="0">
            <StackPanel Orientation="Horizontal">
                <Label Content="Enter categories to find news by:" />
                <TextBox Width="300" Name="TBCategory" />
            </StackPanel>
            <StackPanel Orientation="Horizontal">
                <Label Content="Enter emails to get updates:" />
                <TextBox Width="300" Name="TBEmail" />
            </StackPanel>
            <Button Name="BUpdateItem" Content="Update" Click="BUpdateItem_Click" />
            <ListBox Name="LBItems" SelectionChanged="LBItems_SelectionChanged"
                     ScrollViewer.VerticalScrollBarVisibility="Visible" />
        </StackPanel>
    </Grid>
</Window>